> ## Documentation Index
> Fetch the complete documentation index at: https://docs.energy.nayax.com/llms.txt
> Use this file to discover all available pages before exploring further.

# Create a new onboarding link

> This endpoint creates a new onboarding link
<br/><i>This action is not enabled by default. You must request additional permissions to perform this action.</i>




## OpenAPI

````yaml /api/specs/billing-api.json post /billing/v1/onboarding-links
openapi: 3.0.0
info:
  title: Lynkwell API
  version: 1.376.0
  description: API Documentation for billing service
servers:
  - url: https://api.lynkwell.com
security: []
tags: []
paths:
  /billing/v1/onboarding-links:
    post:
      tags:
        - Onboarding Link
      summary: Create a new onboarding link
      description: >
        This endpoint creates a new onboarding link

        <br/><i>This action is not enabled by default. You must request
        additional permissions to perform this action.</i>
      requestBody:
        required: true
        content:
          application/json:
            schema:
              type: object
              properties:
                type:
                  type: string
                  enum:
                    - EXTERNAL_ONBOARDING
                  description: The type of onboarding link (EXTERNAL_ONBOARDING)
                returnUrl:
                  type: string
                  description: The URL to redirect after onboarding
                refreshUrl:
                  type: string
                  description: The URL to refresh during onboarding.
                network:
                  type: string
                  description: The network associated with the onboarding link.
      responses:
        '200':
          description: OK
          content:
            application/json:
              schema:
                type: object
                required:
                  - data
                properties:
                  data:
                    $ref: '#/components/schemas/OnboardingLink'
        '400':
          description: Bad Request
          content:
            application/json:
              schema:
                $ref: '#/components/schemas/BillingBadRequestError'
        '401':
          description: Unauthorized
          content:
            application/json:
              schema:
                $ref: '#/components/schemas/BillingUnauthorizedError'
        '403':
          description: Forbidden
          content:
            application/json:
              schema:
                $ref: '#/components/schemas/BillingForbiddenError'
      security:
        - oauth2:
            - write:onboardinglink
components:
  schemas:
    OnboardingLink:
      type: object
      properties:
        url:
          type: string
        refreshUrl:
          type: string
        returnUrl:
          type: string
        type:
          type: string
          enum:
            - EXTERNAL_ONBOARDING
        network:
          type: string
      required:
        - url
        - refreshUrl
        - returnUrl
        - type
        - network
    BillingBadRequestError:
      type: object
      description: The response body for a 400 request
      properties:
        type:
          type: string
          enum:
            - BAD_REQUEST
        code:
          type: string
          enum:
            - INVALID_REQUEST_PARAMETERS
            - REFERENCE_ERROR
            - NETWORK_NOT_ENROLLED
            - CARD_ERROR
            - ALREADY_HAVE_SUBSCRIPTION
        message:
          type: string
    BillingUnauthorizedError:
      type: object
      description: The response body for a 401 request
      properties:
        message:
          type: string
    BillingForbiddenError:
      type: object
      description: The response body for a 403 request
      properties:
        type:
          type: string
          enum:
            - FORBIDDEN
        code:
          type: string
          enum:
            - UNAUTHORIZED
            - ASSET_NOT_CONNECTED
        message:
          type: string
  securitySchemes:
    oauth2:
      type: oauth2
      description: OAuth2 Client Credentials Flow
      flows:
        clientCredentials:
          tokenUrl: https://lynkwell-prod.us.auth0.com/oauth/token
          scopes:
            read:asset: Retrieve assets
            write:asset: Create and update assets
            read:assetgroup: Retrieve asset groups
            write:assetgroup: Create and update asset groups
            read:assetstatus: Retrieve asset statuses
            read:chargingstationmodel: Retrieve charging station models
            write:chargingstationmodel: Create and update charging station models
            write:network: Create and update networks
            write:sitepartner: Create and update site partners
            read:sitepartner: Retrieve site partners
            write:sitepartneruser: Create and update site partner users
            read:sitepartneruser: Retrieve site partner users
            read:networkaccessprofile: Retrieve network access profiles
            write:paymentprofile: Create payment profile
            write:onboardinglink: Create an onboarding link
            read:invoice: Retrieve an invoice
            write:session: Create or update a session
            read:session: Retrieve a session
            write:ticket: Create a ticket
            write:verificationcode: Send and confirm verification codes
            write:driver: Create and update drivers
            read:driver: Retrieve drivers
            write:token: Create and update tokens
            read:token: Retrieve tokens
            read:tokenvalue: Retrieve token by ID including its value
            write:invitecode: Create and update invite codes
            write:invitation: Create and update invitations
            read:invitation: Retrieve invitations
            read:payment_terminals_payment: Read payments from payment terminal
            abort:session: Abruptly end session
            read:paymentprofile: Retrieve payment profile from payment terminal
            write:ocpp: Sends request over OCPP
            write:ocpp.raw_request: Sends raw request over OCPP
            write:notification.email: Create and update email
            read:invoiceitem: Retrieve invoice item
            read:subscription: Retrieve subscription
            write:plugandcharge_enrollment: Update Plug and Charge enrollment status
            write:projects: Create and update projects
            read:projects: Retrieve projects
            write:project_stations: Create and update project stations
            write:panel: Create and update panels.
            read:panel: Retrieve panels.
            write:webhooks: Create, update, and delete webhooks
            read:webhooks: Retrieve webhooks

````